dropbox(1)

NAME
dropbox - A command line interface to the Dropbox service

SYNOPSIS
dropbox status
dropbox help [COMMAND]
dropbox puburl FILE
dropbox stop
dropbox running
dropbox start [-i]
dropbox filestatus [-l] [-a] [FILE]...
dropbox ls [FILE]...
dropbox autostart [y/n]
dropbox exclude [list]
dropbox lansync [y/n]

DESCRIPTION
The dropbox command provides a command line interface to the Dropbox, the easiest online file storage, synchronization and sharing service.

COMMANDS

dropbox status
    Prints out the current status of the Dropbox daemon.

dropbox help [COMMAND]
    With no arguments, print a list of commands and a short description of each. With a command, print descriptive help on how to use the command.

dropbox puburl FILE
    Prints out a public url for FILE.

dropbox stop
    Stops the dropbox daemon.

dropbox running
    Returns 1 if running 0 if not running.

dropbox start [-i]
    Starts the dropbox daemon, dropboxd. If dropboxd is already running, this will do nothing.
    options:
    -i --install auto install dropboxd if not available on the system

dropbox filestatus [-l] [-a] [FILE]...
    Prints the current status of each FILE.
    options:
    -l --list prints out information in a format similar to ls. works best when your console supports color :)
    -a --all do not ignore entries starting with .
    Aliases: stat

dropbox ls [FILE]...
    This is an alias for filestatus -l

dropbox autostart [y/n]
    options:
    n dropbox will not start automatically at login
    y dropbox will start automatically at login (default)
    Note: May only work on current Ubuntu distributions.

dropbox exclude [list]dropbox exclude add [DIRECTORY] [DIRECTORY] ...
    dropbox exclude remove [DIRECTORY] [DIRECTORY] ...
    "list" prints a list of directories currently excluded from syncing.
    "add" adds one or more directories to the exclusion list, then resynchronizes Dropbox.
    "remove" removes one or more directories from the exclusion list, then resynchronizes Dropbox.
    With no arguments, executes "list".
    Any specified path must be within Dropbox.

dropbox lansync [y/n]
    options:
    y dropbox will use LAN sync (default)
    n dropbox will not use LAN sync

BUGS
There are currently no known bugs. If you think you have found a bug or have a feature request, post in the forums, or send us an e-mail (see the RESOURCES section below). In the future there will be full command line support including linking accounts and setting preferences from the dropbox command.

RESOURCES

•   Dropbox <http://www.dropbox.com/>

•   Dropbox Forums <http://forums.dropbox.com/>

•   Dropbox Support E-mail <support@dropbox.com>

AUTHORS
CAJA-DROPBOX:
Benjamin Valentin <benpicco@zedat.fu-berlin.de>
Stefano Karapetsas <stefano@karapetsas.com>
Elan Ruusamäe <glen@delfi.ee>
NAUTILUS-DROPBOX:
Rian Hunter <rian@dropbox.com>
Mike Haimes <mike@dropbox.com>
David Euresti <david@dropbox.com>

COPYRIGHT
Copyright (C) 2008-2011 Evenflow, Inc. Free use of this software is granted under the terms of the GNU General Public License (GPL).